Bug 458939 - Review Request: arora - a cross platform web browser
Review Request: arora - a cross platform web browser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Roberts
Fedora Extras Quality Assurance
:
: 461355 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 07:49 EDT by Jaroslav Reznik
Modified: 2008-10-01 02:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 03:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2008-08-13 07:49:10 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/arora/arora.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/arora/arora-0.3-1.src.rpm
Description: Arora is a simple cross platform web browser. Currently Arora is a very basic 
browser whose feature list includes things like "History" and "Bookmarks". 
It is small, less than 10,000 lines of code, very fast, lean, mean and loads 
of fun to hack on. Arora and QtWebKit is developed to be cross-platform 
using the Qt library. It was originally created as a demo for Qt to help 
test the QtWebKit component and find API issues and bugs before the release. 
An older version can still be found in Qt's source code in the demo/browser 
directory. Arora works on Linux, OS X, Windows, and embedded Linux using Qt 
Embedded.
Comment 1 Rakesh Pandit 2008-08-16 16:58:47 EDT
rpmlint on srpm:

arora.src: W: non-coherent-filename arora-0.3-1.src.rpm arora-0.3-1.fc9.src.rpm
The file which contains the package should be named
<NAME>-<VERSION>-<RELEASE>.<ARCH>.rpm.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

srpm name wrong it misses fc8 or fc9??
Comment 3 Jason Tibbitts 2008-09-06 09:51:55 EDT
*** Bug 461355 has been marked as a duplicate of this bug. ***
Comment 4 Jonathan Roberts 2008-09-08 07:47:43 EDT
RPM Lint: OK (silent)
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK
Compile and Build:
 - F-8: FAIL (see note)
 - F-9: FAIL (see note)
 - rawhide: OK
 - EL-5: FAIL (see notes)

Applicable Package Guidelines:

Locales: OK
Shared libs: NA

Relocatable: NA
Directory and file ownership: NOT OK (see mustfix)
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: NA
(Large) Documentation: NA
%doc affecting runtime: NA
Header files in -devel package: NA
Static Libraries in -static package: NA
pkgconfig Requires: NA
Library files: NA
Devel requires base package: NA
.la libtool archives: NA
Duplicate ownership of files/directories: NOT OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Summary:

MUST FIX:

* Package specifies:
 %{_datadir}/icons/*
 %{_datadir}/pixmaps/*   
Takes ownership of directories that don't belong to the package, and it should in fact own the files that it puts in a subdirectory of the ones listed. 

SHOULD:

* Might be nice to provide a description that doesn't provide developer related information like length of code base and "it's fun to hack on".

NOTES:

* This package requires qt-devel => 4.4, meaning it will only build in rawhide currently. Packages are in updates-testing for future inclusion in F9 and F8.
Comment 5 Jaroslav Reznik 2008-09-09 04:39:56 EDT
I hope directories ownership is fixed now and there is new description. This package needs qt 4.4 because of QtWebKit support but new Qt is already pushed in stable.
Comment 6 Jonathan Roberts 2008-09-15 06:40:57 EDT
OK, ownership of directories looks good now.

EPEL 5 build in mock still fails, output below:

/var/tmp/rpm-tmp.24094: line 30: qmake-qt4: command not found
error: 
Bad exit status from /var/tmp/rpm-tmp.24094 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.24094 (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/arora.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 316, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps builddir/build/SPECS/arora.spec']
LEAVE do --> EXCEPTION RAISED

Looks like qt-devel version still isn't right for EPEL 5. Don't know if this is a blocking problem?

Builds OK on Fedora 8,9 and rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=825813
http://koji.fedoraproject.org/koji/taskinfo?taskID=825793
http://koji.fedoraproject.org/koji/taskinfo?taskID=825824

I'm now happy with the state of this package. Can't set the review flag to + though, not sure what I'm missing sponsorship wise here?
Comment 7 Jaroslav Reznik 2008-09-15 07:03:12 EDT
(In reply to comment #6)
> OK, ownership of directories looks good now.

> Looks like qt-devel version still isn't right for EPEL 5. Don't know if this is
> a blocking problem?
> 

There is missing latest Qt in RHEL, so I do not support EPEL 5 build in this package. 

> 
> I'm now happy with the state of this package. Can't set the review flag to +
> though, not sure what I'm missing sponsorship wise here?

Ops, I don't know. But you are Packager group member, looks ok. Maybe you have to assign this bug to you at first (edit Assigned to) and then you can set + flag. I guess.
Comment 8 Rakesh Pandit 2008-09-15 07:16:40 EDT
Updating the STATUS from NEW To ASSIGNED

Thanks
Comment 9 Rakesh Pandit 2008-09-15 07:19:23 EDT
@Jonathan
As you have updated the review flag, I believe you are reviewer for this request. I have updated the "Assigned To" and STATUS.

Thanks
Comment 10 Jonathan Roberts 2008-09-15 07:22:43 EDT
Rakesh, sorry for that mistake. Still can't seem to set fedora-review to +.
Comment 11 Rakesh Pandit 2008-09-15 07:33:26 EDT
what is your FAS login ? I am not able to search this email in packager group ?
Comment 12 Jaroslav Reznik 2008-09-15 07:57:46 EDT
New Package CVS Request
=======================
Package Name: arora
Short Description: a cross platform web browser
Owners: jreznik
Branches: F-8 F-9
InitialCC:
Comment 13 Rakesh Pandit 2008-09-15 08:17:31 EDT
Jaroslav wait till Jonathan confirms ... i need to confirm first and then you can carry on.


Thanks
Comment 14 Jaroslav Reznik 2008-09-15 08:27:05 EDT
(In reply to comment #13)
> Jaroslav wait till Jonathan confirms ... i need to confirm first and then you
> can carry on.

Ok, I saw you have set + flag but I'll wait.
Comment 15 Jonathan Roberts 2008-09-15 10:49:49 EDT
@Rakesh, my FAS is jonrob. 

Sorry for the hold up with this!
Comment 16 Rakesh Pandit 2008-09-15 12:22:41 EDT
@Jaroslav & @Jonathan - Thanks

APPROVED - Carry on!!

I have set cvs flag again.

New Package CVS Request
=======================
Package Name: arora
Short Description: a cross platform web browser
Owners: jreznik
Branches: F-8 F-9
InitialCC:
Comment 17 Huzaifa S. Sidhpurwala 2008-09-16 23:09:45 EDT
cvs done
Comment 18 Fedora Update System 2008-09-17 03:44:15 EDT
arora-0.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/arora-0.3-1.fc9
Comment 19 Fedora Update System 2008-09-17 03:45:34 EDT
arora-0.3-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/arora-0.3-1.fc8
Comment 20 Fedora Update System 2008-10-01 02:38:19 EDT
arora-0.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2008-10-01 02:41:10 EDT
arora-0.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.